# Disable tests because we can not increase build limits
%def_without tests

Name:           ninja-build
Version:        1.8.2
Release:        alt1.M80C.1

Summary:        A small build system with a focus on speed

Group:          Development/Tools
License:        ASL 2.0
URL:            https://ninja-build.org/

#VCS:           git://github.com/ninja-build/ninja.git
Source0:        %name-%version.tar
Source1:        ninja.vim
Source2:        ninja.1
Source3:        ninja.macros

BuildRequires:  gcc-c++
BuildRequires:  re2c
BuildRequires:  asciidoc
BuildRequires:  xsltproc
BuildRequires:  docbook-style-xsl
BuildRequires:  libgtest-devel

%description
Ninja is a small build system with a focus on speed. It differs from
other build systems in two major respects: it is designed to have its
input files generated by a higher-level build system, and it is designed
to run builds as fast as possible.

%package -n rpm-macros-%name
Summary:        Helper macros for building RPM packages with %name
Group:          Development/Other
BuildArch:      noarch
%description -n rpm-macros-%name
A set of RPM macros for packaging applications that use %name.

%prep
%setup

%build
#CFLAGS="%optflags"
#export CFLAGS
./configure.py --bootstrap --verbose --debug
./ninja -v manual
./ninja -v ninja_test

%check
%if_with tests
# workaround possible too low default limits
ulimit -n 2048
ulimit -u 2048
./ninja_test
%endif

%install
# TODO: Install ninja_syntax.py?
install -Dpm 755 ninja %buildroot%_bindir/ninja
# Compat symlink
ln -s ninja %buildroot%_bindir/ninja-build
install -Dpm 644 misc/bash-completion %buildroot%_sysconfdir/bash_completion.d/ninja-bash-completion
install -Dpm 644 misc/zsh-completion %buildroot%_datadir/zsh/site-functions/_ninja
install -Dpm 644 misc/ninja-mode.el %buildroot%_datadir/emacs/site-lisp/ninja-mode.el
install -Dpm 644 misc/ninja.vim %buildroot%_datadir/vim/vimfiles/syntax/ninja.vim
install -Dpm 644 %SOURCE1 %buildroot%_datadir/vim/vimfiles/ftdetect/ninja.vim
install -Dpm 644 %SOURCE2 %buildroot%_man1dir/ninja.1
install -Dpm 644 %SOURCE3 %buildroot%_rpmmacrosdir/ninja-build


%files
%doc COPYING README doc/manual.html
%_bindir/ninja-build
%_bindir/ninja
%_man1dir/*.1*
# bash-completion does not own this
%_sysconfdir/bash_completion.d/
# zsh does not have a -filesystem package
%_datadir/zsh/site-functions/_ninja
%_datadir/emacs/site-lisp/ninja-mode.el
%_datadir/vim/vimfiles/syntax/ninja.vim
%_datadir/vim/vimfiles/ftdetect/ninja.vim

%files -n rpm-macros-%name
%_rpmmacrosdir/%name


%changelog
* Tue Sep 18 2018 Andrey Cherepanov <cas@altlinux.org> 1.8.2-alt1.M80C.1
- Backport new version to c8 branch.

* Wed Nov 15 2017 Arseny Maslennikov <arseny@altlinux.org> 1.8.2-alt2
- Add RPM macros for ninja-build.
- Add a manual page from Debian.
- Rename /usr/bin/ninja-build -> /usr/bin/ninja back.
- Clean up ninja-build.spec.
- Reflect new upstream location.

* Wed Sep 13 2017 Andrey Cherepanov <cas@altlinux.org> 1.8.2-alt1
- new version 1.8.2

* Thu Sep 07 2017 Andrey Cherepanov <cas@altlinux.org> 1.8.1-alt1
- New version

* Mon Sep 04 2017 Andrey Cherepanov <cas@altlinux.org> 1.8.0-alt1
- New version

* Mon Dec 19 2016 Andrey Cherepanov <cas@altlinux.org> 1.7.2-alt1
- new version 1.7.2

* Thu Jul 28 2016 Andrey Cherepanov <cas@altlinux.org> 1.7.1-alt1
- new version 1.7.1

* Mon Aug 03 2015 Andrey Cherepanov <cas@altlinux.org> 1.6.0-alt1
- New version

* Sat Dec 13 2014 Andrey Cherepanov <cas@altlinux.org> 1.5.3-alt1
- New version

* Sat Aug 09 2014 Andrey Cherepanov <cas@altlinux.org> 1.5.1-alt1
- New version

* Thu Apr 17 2014 Andrey Cherepanov <cas@altlinux.org> 1.4.0-alt1
- Initial build for ALT Linux (thanks Fedora for spec and vim rules)

